LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XComponentRegistry Interface Referencepublished

`import "XComponentRegistry.idl";`

Inheritance diagram for XComponentRegistry:

## Public Member Functions
com::sun::star::uno::XInterface | createObject ([in] string URL, [in] com::sun::star::uno::Uik Uik)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Deprecated

## Member Function Documentation

## ◆ createObject()

com::sun::star::uno::XInterface createObject | ( | [in] string | URL,
|  | [in] com::sun::star::uno::Uik | Uik )

Deprecated

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XComponentRegistry.idl